# Class InterruptedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.InterruptedIOException

public class InterruptedIOException extends IOException
Signals that an I/O operation has been interrupted. An InterruptedIOException is thrown to indicate that an input or output transfer has been terminated because the thread performing it was terminated. The field bytesTransferred indicates how many bytes were successfully transferred before the interruption occurred. Since: JDK1.0, CLDC 1.0 See Also:InputStream, OutputStream

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bytesTransferred`
  Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterruptedIOException()`
  Constructs an InterruptedIOException with null as its error detail message.
  `InterruptedIOException(String s)`
  Constructs an InterruptedIOException with the specified detail message.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bytesTransferred

    public int bytesTransferred
    Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

- ## Constructor Details

  - ### InterruptedIOException

    public InterruptedIOException()
    Constructs an InterruptedIOException with null as its error detail message.

  - ### InterruptedIOException

    public InterruptedIOException(String s)
    Constructs an InterruptedIOException with the specified detail message. The string s can be retrieved later by the method of class java.lang.Throwable. s - the detail message.